'use strict';

const glob = require('fast-glob');
const path = require('path');
const babel = require('@babel/core');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const glob__default = /*#__PURE__*/_interopDefaultLegacy(glob);
const path__default = /*#__PURE__*/_interopDefaultLegacy(path);
const babel__default = /*#__PURE__*/_interopDefaultLegacy(babel);

const plugin = (options = {}) => {
  const { src, ignore, compilerOptions } = options;
  if (!src) {
    throw new Error("The `src` option is required");
  }
  return async (themeConfig) => {
    const files = await glob__default(src, { ignore: ignore ?? [], cwd: themeConfig.src });
    return Promise.all(
      files.map((file) => {
        const filePath = path__default.join(themeConfig.src, file);
        return babel__default.transformAsync(filePath, compilerOptions);
      })
    );
  };
};

module.exports = plugin;
