import { Pattern } from 'fast-glob';
import babel, { TransformOptions } from '@babel/core';

interface Options {
    src?: string | string[];
    ignore?: Pattern[];
    compilerOptions?: TransformOptions;
}
/**
 * Transform your JS code with babel.
 *
 * @param {Options} options
 * @returns {function(*): Promise<Awaited<*>[]>}
 */
declare const _default: (options?: Options) => (themeConfig: any) => Promise<(babel.BabelFileResult | null)[]>;

export { Options, _default as default };
