import glob from 'fast-glob';
import path from 'path';
import babel from '@babel/core';

const plugin = (options = {}) => {
  const { src, ignore, compilerOptions } = options;
  if (!src) {
    throw new Error("The `src` option is required");
  }
  return async (themeConfig) => {
    const files = await glob(src, { ignore: ignore ?? [], cwd: themeConfig.src });
    return Promise.all(
      files.map((file) => {
        const filePath = path.join(themeConfig.src, file);
        return babel.transformAsync(filePath, compilerOptions);
      })
    );
  };
};

export { plugin as default };
